Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.support.components
Class VerticalTabbedPaneUI

    java.lang.Object
      javax.swing.plaf.ComponentUI
          javax.swing.plaf.TabbedPaneUI
              javax.swing.plaf.basic.BasicTabbedPaneUI
                  javax.swing.plaf.metal.MetalTabbedPaneUI
                      com.eviware.soapui.support.components.VerticalTabbedPaneUI

All Implemented Interfaces:
  javax.swing.SwingConstants

    public class VerticalTabbedPaneUI

extends javax.swing.plaf.metal.MetalTabbedPaneUI

Nested Class Summary

Nested classes/interfaces inherited from class javax.swing.plaf.metal.MetalTabbedPaneUI
`javax.swing.plaf.metal.MetalTabbedPaneUI.TabbedPaneLayout`

Nested classes/interfaces inherited from class javax.swing.plaf.basic.BasicTabbedPaneUI
`javax.swing.plaf.basic.BasicTabbedPaneUI.FocusHandler, javax.swing.plaf.basic.BasicTabbedPaneUI.MouseHandler, javax.swing.plaf.basic.BasicTabbedPaneUI.PropertyChangeHandler, javax.swing.plaf.basic.BasicTabbedPaneUI.TabSelectionHandler`

Field Summary

Fields inherited from class javax.swing.plaf.metal.MetalTabbedPaneUI
`minTabWidth, selectColor, selectHighlight, tabAreaBackground`

Fields inherited from class javax.swing.plaf.basic.BasicTabbedPaneUI
`calcRect, contentBorderInsets, darkShadow, downKey, focus, focusListener, highlight, leftKey, lightHighlight, maxTabHeight, maxTabWidth, mouseListener, propertyChangeListener, rects, rightKey, runCount, selectedRun, selectedTabPadInsets, shadow, tabAreaInsets, tabChangeListener, tabInsets, tabPane, tabRunOverlay, tabRuns, textIconGap, upKey`

Fields inherited from interface javax.swing.SwingConstants
`BOTTOM, CENTER, EAST, HORIZONTAL, LEADING, LEFT, NEXT, NORTH, NORTH_EAST, NORTH_WEST, PREVIOUS, RIGHT, SOUTH, SOUTH_EAST, SOUTH_WEST, TOP, TRAILING, VERTICAL, WEST`

Constructor Summary
`VerticalTabbedPaneUI()`

Method Summary
`protected int` | `calculateTabWidth(int tabPlacement, int tabIndex, java.awt.FontMetrics metrics)`
`protected void` | `installDefaults()`

Methods inherited from class javax.swing.plaf.metal.MetalTabbedPaneUI
`calculateMaxTabHeight, createLayoutManager, createUI, getColorForGap, getTabLabelShiftX, getTabLabelShiftY, getTabRunOverlay, paint, paintBottomTabBorder, paintContentBorderBottomEdge, paintContentBorderLeftEdge, paintContentBorderRightEdge, paintContentBorderTopEdge, paintFocusIndicator, paintHighlightBelowTab, paintLeftTabBorder, paintRightTabBorder, paintTabBackground, paintTabBorder, paintTopTabBorder, shouldFillGap, shouldPadTabRun, shouldRotateTabRuns, update`

Methods inherited from class javax.swing.plaf.basic.BasicTabbedPaneUI
`assureRectsCreated, calculateMaxTabWidth, calculateTabAreaHeight, calculateTabAreaWidth, calculateTabHeight, createChangeListener, createFocusListener, createMouseListener, createPropertyChangeListener, createScrollButton, expandTabRunsArray, getContentBorderInsets, getFocusIndex, getFontMetrics, getIconForTab, getMaximumSize, getMinimumSize, getNextTabIndex, getNextTabIndexInRun, getNextTabRun, getPreviousTabIndex, getPreviousTabIndexInRun, getPreviousTabRun, getRolloverTab, getRunForTab, getSelectedTabPadInsets, getTabAreaInsets, getTabBounds, getTabBounds, getTabInsets, getTabRunCount, getTabRunIndent, getTabRunOffset, getTextViewForTab, getVisibleComponent, installComponents, installKeyboardActions, installListeners, installUI, lastTabInRun, layoutLabel, navigateSelectedTab, paintContentBorder, paintIcon, paintTab, paintTabArea, paintText, rotateInsets, selectAdjacentRunTab, selectNextTab, selectNextTabInRun, selectPreviousTab, selectPreviousTabInRun, setRolloverTab, setVisibleComponent, shouldRotateTabRuns, tabForCoordinate, uninstallComponents, uninstallDefaults, uninstallKeyboardActions, uninstallListeners, uninstallUI`

Methods inherited from class javax.swing.plaf.ComponentUI
`contains, getAccessibleChild, getAccessibleChildrenCount, getPreferredSize`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VerticalTabbedPaneUI

    public VerticalTabbedPaneUI()

Method Detail

### installDefaults

    protected void installDefaults()

  Overrides:
    `installDefaults` in class `javax.swing.plaf.metal.MetalTabbedPaneUI`

### calculateTabWidth

    protected int calculateTabWidth(int tabPlacement,
                                    int tabIndex,
                                    java.awt.FontMetrics metrics)

  Overrides:
    `calculateTabWidth` in class `javax.swing.plaf.basic.BasicTabbedPaneUI`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.